add support for `cinder service-list`

Bug #1550999 reported by Bjørnar Ness on 2016-02-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-openstackclient
Fix Released
Undecided
Sheel Rana

Bug Description

cinder service-list does not seem to have a "openstack volume service list" counterpart

Sheel Rana (ranasheel2000) wrote :

sheel@sheel:~$ openstack service list
+----------------------------------+-------------+----------------+
| ID | Name | Type |
+----------------------------------+-------------+----------------+
| 03eb2214d8ff47cc9373cf6d76afdaf8 | nova | compute |
| 429ac1f38f9d428db7a60d0f49855a6e | keystone | identity |
| 6afe200a89714050b2b790e179e250a0 | cinderv2 | volumev2 |
| 7c22efe637854d8baf89cf9b888b0c33 | swift | object-store |
| d541d35980d644aa9d073bd4f1f6fa3e | nova_legacy | compute_legacy |
| f11a787071844e448e810d910ee3f0d5 | glance | image |
| f2ca09f0b7be41efac6b949c566b4069 | cinder | volume |
+----------------------------------+-------------+----------------+

affects: cinder → python-openstackclient
Changed in python-openstackclient:
assignee: nobody → Sheel Rana (ranasheel2000)
Sheel Rana (ranasheel2000) wrote :

As far as i could understand, you either are talking about openstack service list or openstack volume list.
These both exists in openstack client.

In case you mean something else, please state here with little bit of more details like expected output from command

Sheel Rana (ranasheel2000) wrote :

ok, I understand, You mean to have counterpart of cinder service-list in openstack client.
root@sheel:~/cinder# cinder service-list
+------------------+-------------------+------+---------+-------+----------------------------+-----------------+
| Binary | Host | Zone | Status | State | Updated_at | Disabled Reason |
+------------------+-------------------+------+---------+-------+----------------------------+-----------------+
| cinder-backup | sheel | nova | enabled | up | 2016-02-29T02:58:45.000000 | - |
| cinder-scheduler | sheel | nova | enabled | up | 2016-02-29T02:58:43.000000 | - |
| cinder-volume | sheel@lvmdriver-1 | nova | enabled | up | 2016-02-29T02:58:43.000000 | - |
+------------------+-------------------+------+---------+-------+----------------------------+-----------------+
root@sheel:~/cinder# openstack service list

Actually we will be taking care of all left commands in BP, refer below:
https://blueprints.launchpad.net/python-openstackclient/+spec/cinder-command-support

summary: - implement remaining commands in openstack cli
+ add support for `cinder service-list`
Changed in python-openstackclient:
status: New → In Progress
Sheel Rana (ranasheel2000) wrote :

Test results after fix

sheel@sheel:~/python-openstackClient/python-openstackclient$ openstack volume service list
+------------------+-------------------+------+---------+-------+
| Binary | Host | Zone | Status | State |
+------------------+-------------------+------+---------+-------+
| cinder-backup | sheel | nova | enabled | up |
| cinder-scheduler | sheel | nova | enabled | up |
| cinder-volume | sheel@lvmdriver-1 | nova | enabled | up |
+------------------+-------------------+------+---------+-------+

sheel@sheel:~/python-openstackClient/python-openstackclient$ openstack volume service list --long
+------------------+-------------------+------+---------+-------+----------------------------+-----------------+
| Binary | Host | Zone | Status | State | Updated At | Disabled Reason |
+------------------+-------------------+------+---------+-------+----------------------------+-----------------+
| cinder-backup | sheel | nova | enabled | up | 2016-04-10T07:33:53.000000 | None |
| cinder-scheduler | sheel | nova | enabled | up | 2016-04-10T07:33:50.000000 | None |
| cinder-volume | sheel@lvmdriver-1 | nova | enabled | up | 2016-04-10T07:33:50.000000 | None |
+------------------+-------------------+------+---------+-------+----------------------------+-----------------+

Reviewed: https://review.openstack.org/295660
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=4072554608abd4828f281dcc0e20ce99ed6611b9
Submitter: Jenkins
Branch: master

commit 4072554608abd4828f281dcc0e20ce99ed6611b9
Author: Sheel Rana <email address hidden>
Date: Wed Mar 30 17:05:09 2016 +0530

    Support for volume service list

    OSC does not support to list volume services.
    This patch will provide support for adding volume service related
    support.

    Closes-bug:#1550999

    Implements: bp cinder-command-support

    Change-Id: I50ac14aeb96c4b8ddbf7b33e519feea0d126f752

Changed in python-openstackclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/python-openstackclient 2.5.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers